/* --- Layout Grid --- */
.layout-grid {
  position: fixed;
  display: none;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  pointer-events: none;
  z-index: 100;
}

.layout-grid.closed {
  display: none;
}

.layout-grid.open {
  display: block;
}

.layout-grid .container {
  display: grid;
  grid-template-columns: repeat(24, 1fr);
  grid-column-gap: calc(1.25/52.75 * 100%);
  height: 100%;
}


.layout-grid div {
  position: relative;
  display: inline-block;
  height: 100%;
  background: rgba(var(--textColor),0.05);
}



/* --- SIDEBAR --- */
.sidebar {
  position: fixed;
  bottom: 0;
  right: 0;
  border-radius: 2px 0 0 2px;
  z-index: 12;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

body.hidden .sidebar, body.showForm .sidebar {
  display: none;
}


.sidebar > div {
  position: relative;
  display: block;
  width: 40px;
  font-size: 1.3em;
  text-align: center;
}



.sidebar .side-icon {
  position: relative;
  display: block;
  width: 40px;
  padding: 8px 0;
  background: rgb(var(--textColor));
  text-align: center;
  cursor: pointer;
  z-index: 1;
  color: rgb(var(--bgColor));
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

.sidebar > div:first-child .side-icon {
  border-radius: 2px 0 0 0;
  border-top: 0;
}

.sidebar > div:first-child:hover .side-icon, .sidebar > div:first-child:active .side-icon {
  border-radius: 0;
}

.sidebar > div:last-child .side-icon {
  border-radius: 0 0 0 2px;
}


.sidebar .popup {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 450px;
  min-height: 100px;
  padding: 20px 60px 20px 20px;
  background-color: rgb(var(--textColor));
  box-shadow: 0 0 3px rgba(var(--textColor),0.1);
  box-sizing: border-box;
  -webkit-transform: translate(0,150%);
  transform: translate(0,150%);
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  font-size: 0.85em;
  text-align: left;
  overflow: hidden;
}

.sidebar > div:hover .popup, .sidebar > div:active .popup {
  -webkit-transform: translate(0,0);
  transform: translate(0,0);
}


.sidebar .popup::before {
  content: "";
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: rgba(var(--bgColor),0.9);
  z-index: -1;
}

.popup .bg-icon {
  position: absolute;
  right: -70px;
  bottom: -50px;
  opacity: 0.1;
  color: rgb(var(--textColor));
  font-size: 15em;
  z-index: -1;
}


.sidebar .popup h4 {
  position: relative;
  margin: 0 0 10px;
  color: rgb(var(--textColor));
}


.sidebar .btn {
  margin-right: 0.5rem;
  font-size: 0.85em;
}


.sidebar hr {
  margin: 1rem 0;
}


/* --- Styleswitcher --- */
.styleswitcher .btn-css {
  border-color: transparent;
  font-size: 0.85em;
}






@media (max-width: 1025px) {

.layout-grid .container {
  grid-template-columns: repeat(12, 1fr);
  grid-column-gap: 2.8571%;
}

.layout-grid[data-size="24"] div:nth-child(n+13) {
  display: none;
}


}



@media (max-width: 800px) {

.layout-grid .container {
  grid-template-columns: repeat(4, 1fr);
  grid-column-gap: 1rem;
}

.layout-grid[data-size="24"] div:nth-child(n+5) {
  display: none;
}

}



@media (max-width: 600px) {

.layout-grid .container {
  grid-template-columns: repeat(3, 1fr);
}

.layout-grid[data-size="24"] div:nth-child(n+4) {
  display: none;
}


.sidebar .popup {
  width: 300px;
}

.sidebar .btn {
  width: 100%;
  margin: 0.5rem 0;
}

}



@media (max-width: 400px) {

.layout-grid .container {
  grid-template-columns: repeat(4, 1fr);
}

.layout-grid[data-size="24"] div:nth-child(n+4) {
  display: inline-block;
}

.layout-grid[data-size="24"] div:nth-child(n+5) {
  display: none;
}

}

